# isLoggedIn

Returns a boolean representing if there is a customer identifier current associated with the device. In other words, Nami believes the device is logged into to an account.

{% tabs %}
{% tab title="Swift" %}

```swift
let loggedIn = NamiCustomerManager.isLoggedIn()
```

{% endtab %}

{% tab title="Kotlin" %}

```kotlin
val loggedIn = NamiCustomerManager.isLoggedIn()
```

{% endtab %}

{% tab title="Flutter" %}

```dart
var loggedIn = NamiCustomerManager.isLoggedIn();
```

{% endtab %}

{% tab title="React Native" %}

```jsx
const checkIsLoggedIn = async () => {
  const isLoggedIn = await NamiCustomerManager.isLoggedIn();
  setIsUserLogin(isLoggedIn);
  console.log('isLoggedIn', isLoggedIn);
};
```

{% endtab %}

{% tab title="Unity" %}

```c
var isLoggedIn = NamiCustomerManager.IsLoggedIn;
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.namiml.com/sdk-reference/namicustomermanager/isloggedin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
